scala.tools.nsc.typechecker.TreeCheckers

# SymbolTracker

#### object SymbolTracker extends Global.Traverser

This is a work in progress, don't take it too seriously.

Source
  TreeCheckers.scala

Linear Supertypes
Global.Traverser, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SymbolTracker
2. Traverser
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type PhaseMap = Map[Global.Symbol, List[Global.Tree]]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

7. #### def check(ph: Phase, unit: Global.CompilationUnit): Unit

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var currentOwner: Global.Symbol

   Attributes
     protected[scala]
   Definition Classes
     Traverser

10. #### val defSyms: Map[Global.Symbol, collection.immutable.List[Global.DefTree]]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def latest: PhaseMap

18. #### var maps: List[(Phase, PhaseMap)]

19. #### val movedMsgs: ListBuffer[String]

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### val newSyms: HashSet[Global.Symbol]

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def prev: PhaseMap

25. #### def record(tree: Global.Tree): Unit

26. #### def reportChanges(): Unit

27. #### def sortedNewSyms: collection.immutable.List[Global.Symbol]

28. #### def symbolTreeMap[T <: Global.Tree](): Map[Global.Symbol, collection.immutable.List[T]]

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def traverse(tree: Global.Tree): Unit

    Definition Classes
      SymbolTracker → Traverser

32. #### def traverseAnnotations(annots: List[Global.Tree]): Unit

    Definition Classes
      Traverser

33. #### def traverseCases(cases: List[Global.CaseDef]): Unit

    Definition Classes
      Traverser

34. #### def traverseConstant(c: Global.Constant): Unit

    Definition Classes
      Traverser

35. #### def traverseGuard(guard: Global.Tree): Unit

    Definition Classes
      Traverser

36. #### def traverseImportSelector(sel: Global.ImportSelector): Unit

    Definition Classes
      Traverser

37. #### def traverseModifiers(mods: Global.Modifiers): Unit

    Definition Classes
      Traverser

38. #### def traverseName(name: Global.Name): Unit

    Definition Classes
      Traverser

39. #### def traverseParams(params: List[Global.Tree]): Unit

    Definition Classes
      Traverser

40. #### def traverseParamss(vparamss: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

41. #### def traverseParents(parents: List[Global.Tree]): Unit

    Definition Classes
      Traverser

42. #### def traversePattern(pat: Global.Tree): Unit

    Definition Classes
      Traverser

43. #### def traverseSelfType(self: Global.ValDef): Unit

    Definition Classes
      Traverser

44. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

45. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

46. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

47. #### def traverseTypeArgs(args: List[Global.Tree]): Unit

    Definition Classes
      Traverser

48. #### def traverseTypeAscription(tpt: Global.Tree): Unit

    Definition Classes
      Traverser

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Ungrouped